
# <img  src="https://b.sphoin.app/logo"  alt="drawing"  width="100"/>

<img  src="https://img.shields.io/pypi/v/sphoin.svg"/><img  src="https://img.shields.io/pypi/pyversions/sphoin.svg"/> 



Connect via [apiv1](https://api.sphoin.app/apiv1) to [sphoin.app](https://www.sphoin.app) slots.

<img  src="https://b.sphoin.app/clie"  alt="drawing" width="100%" />

# Installation

### Stable release
To install sphoin, run this command in your terminal:

```
pip install sphoin
```

This is the preferred method to install sphoin, as it will always install the most recent stable release.

### From sources

The sources for sphoin can be downloaded from the `Github repo`_.
You can either clone the public repository:
```
git clone git://github.com/pom11/sphoin
```
Once you have a copy of the source, you can install it with:
```
python setup.py install
```
# Usage
### example.json configuration file template
```json
{
	"token" : "111Y0URT0K3N1111",
	"secret" : "111Y0URS3CR3T111"
}
```
```json
"token": slot token
```
```json
"secret": slot secret
```
### To use sphoin CLI:
```
sphoin --help
```
View example
```
sphoin --example
```
Load .json configuration file:
```
sphoin --file /local/path/to/YOUR_SLOT_CONFIG.json
```
* replace **/local/path/to/YOUR_SLOT_CONFIG.json** with the absolute path of .json file

Generate .json configuration file in local directory:
```
sphoin --generate
```

### To use sphoin in a python project:

Import package:
```python
from sphoin.app import Slot
```
Init Slot with token and secret:
```python
my_slot = Slot(token="111Y0URT0K3N1111",secret="111Y0URS3CR3T111")
print(my_slot.api_json())
```
* replace 111Y0URT0K3N1111 and 111Y0URS3CR3T111 with Slot **token** and **secret** generated with [sphoin.app](https://www.sphoin.app)


## Docker
###### WINDOWS recommended version

### To use in Docker container:
```
docker run -it pom11/sphoin --help
```
View example:
```
docker run -it pom11/sphoin --example
```
Load local .json configuration file:
```
docker run -it -v /local/path/to/file://usr/src/app pom11/sphoin --file slot.json
```
* C:\Users\sphoin\Desktop\example.json:
```
docker run -it -v /c/Users/sphoin/Desktop://usr/src/app pom11/sphoin --file example.json
```
* replace **/local/path/to/file** with the absolute path of .json file directory

Generate .json configuration file in local directory:
```
docker run -it -v /local/directory://usr/src/app pom11/sphoin --generate
```

### Commands:

<img  src="https://b.sphoin.app/clih"  alt="drawing" width="100%" />

```
-h    | --help + ENTER: display help
w | W | +      + ENTER: flag + 1
s | S | -      + ENTER: flag - 1
min 0 | max 20 + ENTER: set flag value
```


## TO DO:

* edit VIEWS via CLI
* edit studies via CLI

